package com.smppw.common.pojo.enums;

import java.util.stream.Stream;

public enum AssetStyleType {
	MultiAsset(2),
	SegmentationAsset(10),
	RongZhiStrategy(7);
	
	private int id;
	private AssetStyleType(int id) {
		this.id = id;
	}
	public int getId() {
		return id;
	}
	
	public static AssetStyleType getIndex(int id) {
		return Stream.of(AssetStyleType.values()).filter(e -> e.id == id).findFirst().orElse(null);
	}
}
